commit:     6538f89957478d4777742e3d743ad59df6582e45
Author:     David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Tue Apr 23 18:32:57 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jun 18 07:17:52 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6538f899

app-backup/restic: verbump to 0.9.5

Package-Manager: Portage-2.3.64, Repoman-2.3.12
Signed-off-by: David Roman <davidroman96 <AT> gmail.com>
Closes: https://bugs.gentoo.org/680476
Closes: https://bugs.gentoo.org/684270
Closes: https://github.com/gentoo/gentoo/pull/11802
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-backup/restic/Manifest            |  1 +
 app-backup/restic/restic-0.9.5.ebuild | 54 +++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/app-backup/restic/Manifest b/app-backup/restic/Manifest
index 4eeaa5ae5e8..3b5caa578c3 100644
--- a/app-backup/restic/Manifest
+++ b/app-backup/restic/Manifest
@@ -1 +1,2 @@
 DIST restic-0.9.4.tar.gz 26211163 BLAKE2B 
950a8da8217500a910f0e5966787b668417f1168e81365ecda70469ef42c24fed876e97b6a44ed9dda89c07760db4678d791960d78760d68c8f1846c827cf340
 SHA512 
8e75a1da6ee9a364c2bf53ce8f9b014549e7065eae349dc6baf68b0e8a8e9736f83c0495b822aac87480751f448bd42da34c440290b5f0967aea7becda5c448b
+DIST restic-0.9.5.tar.gz 26933971 BLAKE2B 
7e6cb87c7ce0f860ed884a631b791d0dc44e770ffabf298f20c60197b32961a2a78380e2933ce3851215ec2e32bee95da67566bf7d2d30c3bb0dddda2c6ca804
 SHA512 
2541b4d70d23d28360c4398427d65ed08a5eea8c171b93be7b7d54baa7b06099f5473ff2fbe3d6b3d6691592300062ba1b240cc03772868d2a0adb1217c8a85f

diff --git a/app-backup/restic/restic-0.9.5.ebuild 
b/app-backup/restic/restic-0.9.5.ebuild
new file mode 100644
index 00000000000..6b97caddd1d
--- /dev/null
+++ b/app-backup/restic/restic-0.9.5.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit bash-completion-r1 golang-vcs-snapshot
+
+DESCRIPTION="A backup program that is fast, efficient and secure"
+HOMEPAGE="https://restic.github.io/";
+SRC_URI="https://github.com/restic/restic/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+EGO_PN="github.com/restic/restic"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+RDEPEND="sys-fs/fuse:0"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${P}/src/${EGO_PN}"
+
+src_compile() {
+       local mygoargs=(
+               -v
+               -work
+               -x
+               -tags release
+               -ldflags "-X main.version=${PV}"
+               -asmflags "-trimpath=${S}"
+               -gcflags "-trimpath=${S}"
+               -o restic ${EGO_PN}/cmd/restic
+       )
+
+       GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" \
+               go build "${mygoargs[@]}" || die
+}
+
+src_test() {
+       GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" \
+               go test -timeout 30m -v -work -x ${EGO_PN}/cmd/... 
${EGO_PN}/internal/... || die
+}
+
+src_install() {
+       dobin restic
+
+       newbashcomp doc/bash-completion.sh "${PN}"
+
+       insinto /usr/share/zsh/site-functions
+       newins doc/zsh-completion.zsh _restic
+
+       doman doc/man/*
+       dodoc doc/*.rst
+}

Reply via email to